Add a schedule

Add a new schedule for a user or resource by defining the date, time, and related configuration. This endpoint is used to plan future work, shifts, or events.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The title or name of the schedule.

string

Additional details or notes about the schedule.

string
required

The ID of the user who created or assigned the schedule.

date
required

The start date of the schedule. Format: MM/DD/YYYY

date
required

The end date of the schedule. Format: MM/DD/YYYY

string
required

The start time of the schedule on each day. Format: HH:mm

string
required

The end time of the schedule on each day. Format: HH:mm

string

The timezone in which the schedule times are defined. For more details, see the Timezone Guide.

integer

The ID of the job associated with the schedule.

boolean
Defaults to false

Indicates whether the schedule applies to the entire day.

string
enum
Defaults to orange

Color used to visually represent the schedule in the calendar. For more details, see the Color Guide.

user_ids
array of integers
required

List of user IDs assigned to this schedule.

user_ids*
boolean
Defaults to true

Determines whether the schedule is published and visible to assigned users.

boolean

Indicates whether the schedule uses an address different from the job’s default address.

string

Street address for the schedule location (required if use_different_address is true).

string

City for the schedule location.

string

State or province for the schedule location.

string

Country for the schedule location.

string

ZIP or postal code for the schedule location.

boolean
Defaults to false

Indicates whether the schedule should repeat. For more details, see the Repeating Schedules Guide.

string
enum

Defines how the schedule repeats.

Allowed:
date

The date on which the repeating schedule ends. Format: MM/DD/YYYY

string

Days of the week on which the schedule repeats (required when repeat_type is weekly). Value should be a comma-separated of weekdays . e.g sunday,monday,tuesday

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json